IMG_1152.JPG=Rounded the first mark - finally
IMG_1151.JPG=They're after us!
startingline.JPG=Got over the start line - right on time.
IMG_1148.JPG=They've passed us!
IMG_1149.JPG=Bye!
IMG_1156.JPG=Contemplation then Decision: 5 hours is enough.
3brdgFiasco2010.jpg=That's Sapphire on the right.
